Get An Edge Server
Get specific edge server details by its ID
Last updated: March 26, 2026
GET
/api/v1/edges/{edge_id}Description
API to retrieve a specific edge server's details by its ID. Refer to Edge Server for more information about the edge object.
Authentication
Access Token is required.
Refer to Authentication for more information.
Path Parameters
edge_id
Required
string
Unique identifier of the edge server
Response
1
2
3
4
5
6
7
8
{
"id": "string",
"name": "string",
"description": "string",
"status": "enum(active | inactive)",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Request Examples
1
2
3
4
5
6
7
8
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/edges/edge_123', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();